# KSPMonitorDefault

Print the residual norm at each iteration of an iterative solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPMonitorDefault(KSP ksp,PetscInt n,PetscReal rnorm,void *dummy)

Collective on KSP

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| dummy | - unused monitor context

### Keywords

KSP, default, monitor, residual

### See Also

KSPMonitorSet(), KSPMonitorTrueResidualNorm(), KSPMonitorLGCreate()

Level:intermediate
Location: src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages